Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454528 - Technicians should be notified of private events
Summary: Technicians should be notified of private events
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Customer Support Portal
Classification: Retired
Component: Notifications
Version: 1.3.9
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: ---
Assignee: JBoss CSP Bug Watch List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 21:36 UTC by Mike Amburn
Modified: 2009-02-09 20:32 UTC (History)
1 user (show)

Fixed In Version: MR8-CSP
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-30 20:43:31 UTC
Type: ---


Attachments (Terms of Use)

Description Mike Amburn 2008-07-08 21:36:00 UTC
The first responder to a ticket becomes the SEG team owner. If a second technician responds to the ticket, then that technician becomes the owner for the product group. Suppose a third technician adds a private comment on the ticket. Both the SEG team owner and the product group owner should receive notifications.

Steps to reproduce:
1. Log into the CSP (http://cspserver2.app.dev.redhat.com:8080/jbossnetwork) as a customer and create a case.
2. Open the case in I-T (http://cspserver2.app.dev.redhat.com/issue-tracker) as technician 1 and make a public comment.
3. Verify that technician 1 becomes the SEG team owner of the ticket
4. Make a public comment as technician 2.
5. Verify that technician 2 becomes product group owner of the ticket.
6. Make a private comment as technician 3.
7. Verify that technicians 1 and 2 receive a notification of the comment made by technician 3.

----
Data relocated from Jira (JBNET-2332)

Comment 1 Nathan Lugert 2009-02-09 20:32:32 UTC
found a bug where ticket was null when trying to send private event email notification. Once I properly set the ticket, private event email notifications worked fine.


Note You need to log in before you can comment on or make changes to this bug.